Skip to main content
GET
/
environments
/
{org}
/
{env_name}
/
auditlog
Get environment audit log
curl --request GET \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name}/auditlog \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Query Parameters

from_timestamp
number | null

From timestamp filter. Takes a UNIX timestamp. e.g. from_timestamp=1675167540

to_timestamp
number | null

To timestamp filter. Takes a UNIX timestamp. e.g. from_timestamp=1675167540

event_types
string | null

Event types filter. Can be one of started, exited, changed. e.g. event_types=started,exited

flow_names
string | null

Flow names filter as comma separated list. Use 'no provenance' to include artifacts without provenance.e.g. flow_names=server,web,no provenance

repo_names
string | null

Repo names filter as comma separated list. e.g. repo_names=repo1,repo2

Response

Successful audit log retrieval

Last modified on April 7, 2026